<?xml version="1.0" encoding="utf-8"?>
<manifest
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="shub.dpm"
	android:versionCode="1"
	android:versionName="Initial"
	android:installLocation="internalOnly">
	
	<uses-sdk android:minSdkVersion="5" android:targetSdkVersion="29"/>
	<supports-screens android:largeScreens="true" 
	    android:normalScreens="true" 
	    android:smallScreens="true" 
	    android:anyDensity="true"/>
	<uses-feature android:name="android.hardware.camera" android:required="true" />
	<uses-feature android:name="android.hardware.camera.autofocus" android:required="false" />
	<uses-feature android:name="android.hardware.camera.flash" android:required="false" />
	<uses-permission android:name="android.permission.CAMERA"/>
	<uses-permission android:name="android.hardware.camera"/>
	<uses-permission android:name="android.hardware.camera.autofocus"/>
	<uses-permission android:name="android.permission.FLASHLIGHT"/>
	<uses-permission android:name="android.permission.INTERNET"/>
	<uses-permission android:name="android.permission.WAKE_LOCK"/>
	<uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
	<application
		android:name="androidx.multidex.MultiDexApplication"
		android:icon="@drawable/icon"
		android:label="DPM Mobile"
		android:networkSecurityConfig="@xml/network_security_config">
		
		<meta-data
		            android:name="com.google.android.gms.version"
		            android:value="@integer/google_play_services_version" />
		        <meta-data
		            android:name="com.google.android.gms.vision.DEPENDENCIES"
		            android:value="barcode" />
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".main"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
			<intent-filter>
			   <action android:name="android.intent.action.MAIN" />
			   <category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".parameter"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".about"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".barcodescanner"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".listpat"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".endecodetester"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
		</activity>
		<service android:name=".jobservice">
		</service>
		<receiver android:name=".jobservice$jobservice_BR">
		</receiver>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".listdata"
			android:label="DPM Mobile"
			android:screenOrientation="portrait">
		</activity>
		<service android:name=".starter">
		</service>
		<receiver android:name=".starter$starter_BR">
		</receiver>
		<service android:name=".httputils2service">
		</service>
		<receiver android:name=".httputils2service$httputils2service_BR">
		</receiver>
	</application>
</manifest>